# gulp-verb [![NPM version](https://badge.fury.io/js/gulp-verb.png)](http://badge.fury.io/js/gulp-verb)

> [gulp](https://github.com/wearefractal/gulp) plugin for [Verb](https://github.com/assemble/verb)

* Get [verb-cli](https://github.com/assemble/verb) to use Verb from the command line
* Get [generator-verb](https://github.com/assemble/generator-verb) to add documentation templates, or initialize docs for new projects
* Get [grunt-verb](https://github.com/assemble/grunt-verb) for your Grunt build-chain.

## Install
#### [npm](npmjs.org)

```bash
npm i gulp-verb --save-dev
```

## Usage
Add verb to your `gulpfile.js`:

```javascript
var verb = require("gulp-verb");

gulp.task('verb', function () {
  gulp.src(['.verbrc.md'])
    // dest filename is defined in options,
    // otherwise gulp will overwrite .verbrc.md
    .pipe(verb({dest: 'README.md'}))
    .pipe(gulp.dest('./'));
});
```

## Authors
 
**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 
 
**Brian Woodward**
 
+ [github/doowb](https://github.com/doowb)
+ [twitter/doowb](http://twitter.com/doowb) 


## License
Copyright (c) 2014 Brian Woodward, contributors.  
Released under the MIT license

***

_This file was generated by [gulp-verb](https://github.com/assemble/gulp-verb) on July 09, 2014._